| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::TypeTraits::IsSame< Type1, Type2 > Struct Template Reference

Check if two types are the same. More...

`#include <csutil/typetraits.h>`

List of all members.

## Static Public Attributes
static const bool | value = CS::TypeTraits::Implementation::IsSameImpl<Type1, Type2>::value

## Detailed Description

### template<class Type1, class Type2>
struct CS::TypeTraits::IsSame< Type1, Type2 >

Check if two types are the same.

Definition at line 110 of file typetraits.h.

The documentation for this struct was generated from the following file:

- csutil/typetraits.h